View Issue Details

IDProjectCategoryView StatusLast Update
0006451MediaMonkey (current)Playlist / Searchpublic2010-12-23 20:05
Reporterstephen_platt 
PriorityurgentSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
PlatformWindowsOS7OS Version-
Product Version3.2.2 
Target Version4.0Fixed in Version4.0 
Summary0006451: Selection of tracks can change playlist order
DescriptionWhen selecting 3 or 4 songs from a manual playlist the selection changes by itself jumping into a different order.
Steps To ReproduceOpen a manual playlist in MM
Select 3-4 tracks
Repeat selecting tracks until track order changes
Additional InformationSee video where I reproduced it: http://www.youtube.com/watch?v=H-QNnX37Ygw
http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=9625&departmentid=2&ticketstatusid=5
TagsNo tags attached.
Fixed in build1311

Relationships

related to 0005868 closedLudek Useless track drop offered 
parent of 0007693 closedLudek Playlists: Can't move second track to first position (or last but one to last position) 

Activities

stephen_platt

2010-08-27 14:28

developer   ~0020461

In the original ticket and in the forum: http://www.mediamonkey.com/forum/viewtopic.php?f=7&t=52299

the user says that he did not have this issue on Windows XP but that it does present in Vista and Win 7. I was able to repro it in Windows 7.

Ludek

2010-08-27 15:12

developer   ~0020462

Last edited: 2010-08-27 15:19

View 5 revisions

Watching the video this isn't an issue with D&D, you actually performed "Drag & Drop" operation on the four selected tracks.

The is a small bug in D&D operation where dragging the last selected track directly under the last track performs the D&D operation.

Ludek

2010-08-27 15:33

developer   ~0020463

Fixed in build 1311.

stephen_platt

2010-11-01 15:05

developer   ~0021090

verified 1319